Bug 18064 - g++ treats public enums in templates as private
Summary: g++ treats public enums in templates as private
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL: http://gcc.gnu.org/cgi-bin/gnatsweb.p...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-02 09:49 UTC by Bernhard Rosenkraenzer
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-02 09:51:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2000:132 normal SHIPPED_LIVE Bug fixing update of GCC 2.96 2000-12-19 05:00:00 UTC

Description Bernhard Rosenkraenzer 2000-10-02 09:49:47 UTC
Detailed information is in the gcc bug tracking system, Bug #511.

This prevents, among other things, KDE 2.0 from compiling, so I'm setting
the priority to high. KDE 2.0 will be released in a couple of days.

Comment 1 Bernhard Rosenkraenzer 2000-10-02 09:51:31 UTC
I'm currently working around this bug by moving the enums out of the classes;
this works, but it's crappy and not binary compatible...

Comment 2 Jakub Jelinek 2000-10-24 08:22:39 UTC
Should be fixed in gcc-2.96-60 in rawhide.


Note You need to log in before you can comment on or make changes to this bug.